%global git_date  20241006
%global git_hash  d2c1493
%global git_ver  0.4.0
%global rel  1

%global src_name  %{name}-%{git_date}-%{git_hash}.tar.xz

Name:           sway-systemd
Version:	%{git_ver}^%{git_date}g%{git_hash}
Release:	%{rel}%{?dist}
Summary:        Systemd integration for Sway session

License:        MIT
URL:            https://github.com/alebastr/sway-systemd
Source0:	%{url}/%{src_name}

BuildArch:      noarch

BuildRequires:  meson
BuildRequires:  pkgconfig(systemd)
BuildRequires:  systemd-rpm-macros

Requires:       python3dist(dbus-next)
Requires:       python3dist(i3ipc)
Requires:       python3dist(psutil)
Requires:       python3dist(python-xlib)
Requires:       python3dist(tenacity)
Requires:       sway
Requires:       systemd
Recommends:     /usr/bin/dbus-update-activation-environment

%description
%{summary}.

The goal of this project is to provide a minimal set of configuration files
and scripts required for running Sway in a systemd environment.

This includes several areas of integration:
 - Propagate required variables to the systemd user session environ
ment.
 - Define sway-session.target for starting user services.
 - Place GUI applications into a systemd scopes for systemd-oomd compatibility.

%prep
%autosetup -n %{name}


%build
%meson -Dautoload-configs=cgroups
%meson_build


%install
%meson_install


%files
%license LICENSE
%doc README.md
%config(noreplace) %{_sysconfdir}/sway/config.d/10-systemd-session.conf
%config(noreplace) %{_sysconfdir}/sway/config.d/10-systemd-cgroups.conf
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/assign-cgroups.py
%{_libexecdir}/%{name}/locale1-xkb-config
%{_libexecdir}/%{name}/session.sh
%{_libexecdir}/%{name}/wait-sni-ready
%{_userunitdir}/sway-session.target
%{_userunitdir}/sway-session-shutdown.target
%{_userunitdir}/sway-xdg-autostart.target
%{_datadir}/%{name}/*.conf

%changelog
%autochangelog

